#' Data containing whitespaces
#'
#' This survey data was collected using a Google form to demonstrate how the \code{str_rm_whitespace_df()} function in the forstringr package could be used to eliminate whitespace.
#'
#' @format A data frame with \code{32} rows and \code{8} variables:
#' \describe{
#'   \item{Date}{Form submission date}
#'   \item{First_name}{First name of the respondent}
#'   \item{Gender}{The gender of the respondent}
#'   \item{State}{State or province living}
#'    \item{Degree}{Whether or not the respondent has a degree}
#'       \item{Year}{The year of graduation from a college}
#'   \item{Use_R}{Whether respondent used R for data science or not}
#'    \item{Community}{The data science community the respondent is associated with}
#' }
#'
#' @source
#' [Ezekiel](https://www.linkedin.com/in/ezekiel-ogundepo/) and [Esther](https://www.linkedin.com/in/oluokun-adewumi) developed the Google form that was used to collect the data. By clicking the following link, you may also add to the data:
#'
#' \url{https://docs.google.com/forms/d/e/1FAIpQLSeAhIBaze-pTHghyIKDZEx5kDuke0oYv0YPqg4gtGKijHSaUg/viewform}
#'
"community_data"
